 let head = document.getElementsByTagName('head').item(0);
 let script = document.createElement('script');

 let player = null;
 let options = null;
 let runTimer = null;
 let runTimerCnt = 0;

 const createPlayer = async (licenseKey,src) =>{
    window.vpe.access_key = licenseKey;

 }



 const runPlayer = async ()=>{
     if(player) return;
     if(runTimerCnt >0) return;

    /* let drmResult = await axios.get('https://vpe.sgrsoft.com/api/drmTest');
    options = drmResult.data;*/

     player = new ncplayer('videoNcplayer', options);

     //재생 이벤트
     player.on('play',()=>{

         var obj = {"name": 'play',"data": null}
         var str = JSON.stringify(obj);
         PlayerHandler.eventPlayer(str)
     });

     //멈춤 이벤트
     player.on('pause',()=>{
         var obj = {"name": 'pause',"data": null}
         var str = JSON.stringify(obj);
         PlayerHandler.eventPlayer(str)
     });

     //재생종료 이벤트
     player.on('ended',()=>{
         var obj = {"name": 'ended',"data": null}
         var str = JSON.stringify(obj);
         PlayerHandler.eventPlayer(str)
     });


     //시청 이벤트
     player.on('timeupdate',(res)=>{
         var obj = {"name": 'timeupdate',"data": res}
         var str = JSON.stringify(obj);
         PlayerHandler.eventPlayer(str)

     });

     //다음영상으로 넘어갈때 이벤트
     player.on('nextTrack',(res)=>{
         var obj = {"name": 'nextTrack',"data": res}
         var str = JSON.stringify(obj);
         PlayerHandler.eventPlayer(str)
     });

     //이전영상으로 넘어갈때 이벤트
     player.on('prevTrack',(res)=>{
         var obj = {"name": 'prevTrack',"data": res}
         var str = JSON.stringify(obj);
         PlayerHandler.eventPlayer(str)
     });

     //컨트롤바 활성화 되었을시
     player.on('controlbarActive',()=>{
         var obj = {"name": 'controlbarActive',"data": {active:true}}
         var str = JSON.stringify(obj);
         PlayerHandler.eventPlayer(str)
     });

     //컨트롤바 비활성화 되었을시
     player.on('controlbarDeactive',()=>{
         var obj = {"name": 'controlbarActive',"data": {active:false}}
         var str = JSON.stringify(obj);
         PlayerHandler.eventPlayer(str)
     });

     clearInterval(runTimer)

     player.on('ready',(res)=>{



        //시작시 가로를 저장해서 세로길이를 maxheight로 설정
       //document.querySelector('#videoNcplayer').style.maxHeight = window.innerWidth+'px';
       document.querySelector('#vpe-native-sdk').style.width = '100vw';
       document.querySelector('#vpe-native-sdk').style.height = '100vh';
       document.querySelector('#videoNcplayer').style.height = '100%';
       document.querySelector('#videoNcplayer').style.width = '100%';

       try{
           playInfo = res.description;
           document.title = res.description.title;
       }catch(e){

       }
        setTimeout(()=>{
            document.querySelector('#vpe-native-sdk').style='opacity:1';
        },200)



    })

 }




class NativeSDK {
    playerEvent(name, data) {
        nativeEventHandler.postMessage({ type: name, message: data });
    }
}

let playersdk = new NativeSDK();


runTimer = setInterval(async ()=>{
    if( runTimerCnt >3){
        clearInterval(runTimer);
        return;
    }
    try{
        await runPlayer();
        clearInterval(runTimer);
        runTimerCnt++
     }catch(e){
         runTimerCnt++
     }
},500)
